Summary:       Tool for data storage configuration
Name:          blivet-gui
Version:       2.3.0
Release:       7%{?dist}
License:       GPLv2+
URL:           http://github.com/storaged-project/blivet-gui
Source0:       http://github.com/storaged-project/blivet-gui/releases/download/%{version}-1/%{name}-%{version}.tar.gz
Patch0001:     remove-libreport-in-setup.patch
Patch3000:     0001-Do-not-allow-setting-chunk-size-for-RAID1.patch
Patch3001:     294.patch
Patch3002:     0001-Use-symbolic-list-add-and-edit-icons-Adwaita-dropped.patch

BuildArch:     noarch
BuildRequires: desktop-file-utils libappstream-glib
Requires:      blivet-gui-runtime = %{version}-%{release}
Requires:      PolicyKit-authentication-agent libblockdev-plugins-all


%description
blivet-gui is a graphical tool for storage configuration using the blivet library

%package -n blivet-gui-runtime
Summary:       blivet-gui runtime

BuildRequires: python3-devel gettext >= 0.18.3 python3-setuptools
BuildRequires: make

Requires:      python3 python3-gobject python3-blivet >= 3.1.2
Requires:      gtk3 python3-pid

%description -n blivet-gui-runtime
This package provides a blivet-gui runtime for applications that want to use
blivet-gui without actually installing the application itself.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build

%install
%make_install

desktop-file-validate %{buildroot}/%{_datadir}/applications/blivet-gui.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/blivet-gui.appdata.xml

mkdir -p %{buildroot}/%{_localstatedir}/log/blivet-gui

%find_lang %{name}

%files -n blivet-gui
%{_datadir}/applications/blivet-gui.desktop
%{_datadir}/appdata/blivet-gui.appdata.xml

%files -n blivet-gui-runtime -f %{name}.lang
%{_bindir}/blivet-gui
%{_bindir}/blivet-gui-daemon
%{python3_sitelib}/*
%{_datadir}/polkit-1/actions/org.fedoraproject.pkexec.blivet-gui.policy
%{_datadir}/icons/hicolor/*/apps/blivet-gui.png
%{_datadir}/blivet-gui
%{_localstatedir}/log/blivet-gui
%{_mandir}/man1/blivet-gui.1*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-7
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.3.0-3
- add patch remove libreport.

* Thu Dec 8 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.3.0-2
- modify errors in changelog.

* Thu Sep 1 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.3.0-1
- package init.
